# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: storage_type
    category: CDev\AmazonS3Images
    type: CDev\AmazonS3Images\View\FormField\StorageType
    orderby: 100
    value: as3
    module: CDev\AmazonS3Images
    translations: [{code: en, option_name: Storage}]
  - name: access_key
    category: CDev\AmazonS3Images
    type: XLite\View\FormField\Input\Text
    orderby: 200
    value: ''
    module: CDev\AmazonS3Images
    translations: [{code: en, option_name: 'Access key'}]
  - name: secret_key
    category: CDev\AmazonS3Images
    type: XLite\View\FormField\Input\Secure
    orderby: 300
    value: ''
    module: CDev\AmazonS3Images
    translations: [{code: en, option_name: 'Secret key'}]
  - name: bucket
    category: CDev\AmazonS3Images
    type: XLite\View\FormField\Input\Text
    orderby: 400
    value: ''
    module: CDev\AmazonS3Images
    translations: [{code: en, option_name: 'Bucket name'}]
  - name: region
    category: CDev\AmazonS3Images
    value: ''
    module: CDev\AmazonS3Images
  - name: save_on_server
    category: CDev\AmazonS3Images
    type: XLite\View\FormField\Input\Checkbox\YesNo
    orderby: 500
    value: 1
    module: CDev\AmazonS3Images
    translations: [{code: en, option_name: 'Save origin images on the store server'}]
  - name: cloudfront_domain
    category: CDev\AmazonS3Images
    type: XLite\View\FormField\Input\Text
    orderby: 600
    value: ''
    module: CDev\AmazonS3Images
    translations: [{code: en, option_name: 'Amazon CloudFront domain name'}]
  - name: cloudfront_protocol
    category: CDev\AmazonS3Images
    type: CDev\AmazonS3Images\View\FormField\CloudFrontProtocol
    orderby: 700
    value: http_or_https
    module: CDev\AmazonS3Images
    translations: [{code: en, option_name: 'Viewer protocol policy', option_comment: 'This setting determines the protocol used by X-Cart to form the image upload URL. If "HTTP or HTTPS" is selected in the Viewer protocol policy setting on the Amazon cloudFront end (which corresponds to using the protocol currently used for the page opened in the viewer''s browser), please enable the same option here; otherwise (if you prefer to use HTTPS at all times) enable the option "HTTPS only".'}]
  - name: do_endpoint
    category: CDev\AmazonS3Images
    type: XLite\View\FormField\Input\Text
    orderby: 800
    value: ''
    module: CDev\AmazonS3Images
    translations: [{code: en, option_name: 'Digital Ocean Endpoint'}]
XLite\Model\LanguageLabel:
  - name: 'Content images are currently stored on file system.'
    translations: [{code: en, label: 'Content images are currently stored on the file system.'}]
  - name: 'Connection to Amazon S3 failed. Check whether the AWS Access key, AWS Secret key and bucket name specified in the module settings are correct.'
    translations: [{code: en, label: 'Connection to Cloud Storage failed. Check whether the Access key, Secret key and bucket name specified in the module settings are correct.'}]
  - name: 'Images are being moved to the file system on your server. Now you can leave this page and open it later to check the progress.'
    translations: [{code: en, label: 'Images are being moved to the file system on your server. Now you can leave this page and open it later to check on the progress.'}]
  - name: 'Images are being moved to Amazon S3 servers. Now you can leave this page and open it later to check the progress.'
    translations: [{code: en, label: 'Images are being moved to Cloud Storage servers. Now you can leave this page and open it later to check on the progress.'}]
  - name: 'Images are being copied to Amazon S3 servers. Now you can leave this page and open it later to check the progress.'
    translations: [{code: en, label: 'Images are being copied to Cloud Storage servers. Now you can leave this page and open it later to check on the progress.'}]
  - name: 'Images are being moved to the file system on your server. If you leave this page the process will be put on hold until you open it in your browser again.'
    translations: [{code: en, label: 'Images are being moved to the file system on your server. If you leave this page, the process will be put on hold until you open it in your browser again.'}]
  - name: 'Images are being moved to Amazon S3 servers. If you leave this page the process will be put on hold until you open it in your browser again.'
    translations: [{code: en, label: 'Images are being moved to Cloud Storage servers. If you leave this page, the process will be put on hold until you open it in your browser again.'}]
  - name: 'Images are being copied to Amazon S3 servers. If you leave this page the process will be put on hold until you open it in your browser again.'
    translations: [{code: en, label: 'Images are being copied to Cloud Storage servers. If you leave this page, the process will be put on hold until you open it in your browser again.'}]
  - name: 'All content images are now stored on the Amazon S3 server.'
    translations: [{code: en, label: 'All content images are now stored on the Cloud Storage server.'}]
  - name: 'Migrate from Amazon S3'
    translations: [{code: en, label: 'Migrate from Cloud Storage'}]
  - name: 'Local file system'
    translations: [{code: en, label: 'Local file system'}]
  - name: 'Amazon S3'
    translations: [{code: en, label: 'Amazon S3'}]
  - name: 'Migrate to Amazon S3'
    translations: [{code: en, label: 'Migrate to Cloud Storage'}]
  - name: 'Some of content images are currently stored of file system.'
    translations: [{code: en, label: 'Some of content images are currently stored on the file system.'}]
  - name: 'Migration is in progress'
    translations: [{code: en, label: 'Migration is in progress'}]
  - name: 'Image files uploaded: X out of Y'
    translations: [{code: en, label: 'Image files uploaded: {{X}} out of {{Y}}'}]
  - name: 'Image files uploaded: X out of Y with errors'
    translations: [{code: en, label: 'Image files uploaded: {{X}} out of {{Y}} (errors: {{errors}}, warnings: {{warns}})'}]
  - name: 'Images uploaded'
    translations: [{code: en, label: 'Images uploaded'}]
  - name: 'Uploading image files to Amazon S3...'
    translations: [{code: en, label: 'Uploading image files to Cloud Storage...'}]
  - name: 'Images moved to Amazon S3: {{count}}'
    translations: [{code: en, label: 'Images moved to Cloud Storage: {{count}}'}]
  - name: 'Resized images uploaded'
    translations: [{code: en, label: 'Resized images uploaded'}]
  - name: 'Uploading resized image files to Amazon S3...'
    translations: [{code: en, label: 'Uploading resized image files to Cloud Storage...'}]
  - name: 'Resized image files uploaded: X out of Y'
    translations: [{code: en, label: 'Resized image files uploaded: {{X}} out of {{Y}}'}]
  - name: 'Resized image files uploaded: X out of Y with errors'
    translations: [{code: en, label: 'Resized image files uploaded: {{X}} out of {{Y}} (errors: {{errors}}, warnings: {{warns}})'}]
  - name: 'Resized images moved to Amazon S3: {{count}}'
    translations: [{code: en, label: 'Resized images moved to Cloud Storage: {{count}}'}]
  - name: 'HTTP or HTTPS'
    translations: [{code: en, label: 'HTTP or HTTPS'}]
  - name: 'HTTPS only'
    translations: [{code: en, label: 'HTTPS only'}]
  - name: 'The endpoint field value must contain the full path'
    translations: [{code: en, label: 'The endpoint field value must contain the full path with the domain name without "https://"'}]
  - name: 'Back to Cloud Storage settings'
    translations: [{code: en, label: 'Back to Cloud Storage settings'}]
  - name: 'Continue Migrate'
    translations: [{code: en, label: 'Continue Migrate'}]
  - name: 'Click the button below to return back to module page.'
    translations: [{code: en, label: 'Click the button below to return back to module page.'}]
